package com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "DESENSITIZATIONTASK"
)
public class Desensitizationtask extends TBaseEntity implements Serializable {
   private String taskname;
   private String tasknamereal;
   private Date createtime;
   private Date updatatime;
   private String userid;
   private String remark;
   private String foldername;
   private String tasktype;
   private String username;
   private String state;
   private String count_exe;
   @Transient
   private String removePercent;
   private String taskstatus;
   private String isrecover;
   @Transient
   private String dmppath;
   @Transient
   private String dmpcharset;
   private String batchnumber;
   private String tableprefix;
   private String tablesuffix;
   private String ismasking;
   private String isengine;
   private String projectid;
   private String executeStatus;
   private String version;
   private String isSynXml;
   @Transient
   private String projectname;
   private String save_state;
   private String fastexecution;
   private String stamp;

   public String getVersion() {
      return this.version;
   }

   public void setVersion(String version) {
      this.version = version;
   }

   public String getExecuteStatus() {
      return this.executeStatus;
   }

   public void setExecuteStatus(String executeStatus) {
      this.executeStatus = executeStatus;
   }

   public String getIsengine() {
      return this.isengine;
   }

   public void setIsengine(String isengine) {
      this.isengine = isengine;
   }

   public String getIsmasking() {
      return this.ismasking;
   }

   public void setIsmasking(String ismasking) {
      this.ismasking = ismasking;
   }

   public String getRemovePercent() {
      return this.removePercent;
   }

   public void setRemovePercent(String removePercent) {
      this.removePercent = removePercent;
   }

   public String getTableprefix() {
      return this.tableprefix;
   }

   public void setTableprefix(String tableprefix) {
      this.tableprefix = tableprefix;
   }

   public String getTablesuffix() {
      return this.tablesuffix;
   }

   public void setTablesuffix(String tablesuffix) {
      this.tablesuffix = tablesuffix;
   }

   public String getBatchnumber() {
      return this.batchnumber;
   }

   public void setBatchnumber(String batchnumber) {
      this.batchnumber = batchnumber;
   }

   public String getTaskstatus() {
      return this.taskstatus;
   }

   public void setTaskstatus(String taskstatus) {
      this.taskstatus = taskstatus;
   }

   public String getCount_exe() {
      return this.count_exe;
   }

   public void setCount_exe(String count_exe) {
      this.count_exe = count_exe;
   }

   public String getTasknamereal() {
      return this.tasknamereal;
   }

   public void setTasknamereal(String tasknamereal) {
      this.tasknamereal = tasknamereal;
   }

   public String getTaskname() {
      return this.taskname;
   }

   public void setTaskname(String taskname) {
      this.taskname = taskname;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatatime() {
      return this.updatatime;
   }

   public void setUpdatatime(Date updatatime) {
      this.updatatime = updatatime;
   }

   public String getUserid() {
      return this.userid;
   }

   public void setUserid(String userid) {
      this.userid = userid;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getFoldername() {
      return this.foldername;
   }

   public void setFoldername(String foldername) {
      this.foldername = foldername;
   }

   public String getTasktype() {
      return this.tasktype;
   }

   public void setTasktype(String tasktype) {
      this.tasktype = tasktype;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getState() {
      return this.state;
   }

   public void setState(String state) {
      this.state = state;
   }

   public String getSave_state() {
      return this.save_state;
   }

   public void setSave_state(String save_state) {
      this.save_state = save_state;
   }

   public String getFastexecution() {
      return this.fastexecution;
   }

   public void setFastexecution(String fastexecution) {
      this.fastexecution = fastexecution;
   }

   public String getStamp() {
      return this.stamp;
   }

   public void setStamp(String stamp) {
      this.stamp = stamp;
   }

   public String getIsrecover() {
      return this.isrecover;
   }

   public void setIsrecover(String isrecover) {
      this.isrecover = isrecover;
   }

   public String getDmppath() {
      return this.dmppath;
   }

   public void setDmppath(String dmppath) {
      this.dmppath = dmppath;
   }

   public String getDmpcharset() {
      return this.dmpcharset;
   }

   public void setDmpcharset(String dmpcharset) {
      this.dmpcharset = dmpcharset;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getProjectname() {
      return this.projectname;
   }

   public void setProjectname(String projectname) {
      this.projectname = projectname;
   }

   public String getIsSynXml() {
      return this.isSynXml;
   }

   public void setIsSynXml(String isSynXml) {
      this.isSynXml = isSynXml;
   }

   public String toString() {
      return "Desensitizationtask [taskname=" + this.taskname + ", tasknamereal=" + this.tasknamereal + ", createtime=" + this.createtime + ", updatatime=" + this.updatatime + ", userid=" + this.userid + ", remark=" + this.remark + ", foldername=" + this.foldername + ", tasktype=" + this.tasktype + ", username=" + this.username + ", state=" + this.state + ", count_exe=" + this.count_exe + ", removePercent=" + this.removePercent + ", taskstatus=" + this.taskstatus + ", isrecover=" + this.isrecover + ", dmppath=" + this.dmppath + ", dmpcharset=" + this.dmpcharset + ", batchnumber=" + this.batchnumber + ", tableprefix=" + this.tableprefix + ", tablesuffix=" + this.tablesuffix + ", ismasking=" + this.ismasking + ", isengine=" + this.isengine + ", save_state=" + this.save_state + ", fastexecution=" + this.fastexecution + ", stamp=" + this.stamp + "]";
   }
}
